package domain


type AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest struct {
    /*
        订单渠道来源     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        商场code     */
    SourceMerchantCode  *string `json:"source_merchant_code,omitempty" `

    /*
        淘宝订单号     */
    TbBizIdList  *[]int64 `json:"tb_biz_id_list,omitempty" `

    /*
        盒马订单号     */
    BizIdList  *[]int64 `json:"biz_id_list,omitempty" `

}

func (s *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest) SetOrderFrom(v int64) *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest) SetSourceMerchantCode(v string) *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest {
    s.SourceMerchantCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest) SetTbBizIdList(v []int64) *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest {
    s.TbBizIdList = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest) SetBizIdList(v []int64) *AlibabaWdkSupplierOrderGetSupplierOrderQueryListRequest {
    s.BizIdList = &v
    return s
}
